
Imports System
Imports System.Data
Imports Syncfusion.Windows.Forms.Grid
Imports System.Collections.Specialized


'/ <summary>
'/ Summary description for GroupData.
'/ </summary>

Public Class GroupData
   
   Public Sub New()
   End Sub 'New
   
   
   
   Overloads Public Shared Function GetTable(nRows As Integer) As DataTable
      
      InitSomeDataChoices()
      
      Dim dt As New DataTable("MyGroupTable")
      
      dt.Columns.Add(New DataColumn("id", GetType(Integer)))
      dt.Columns.Add(New DataColumn("FName"))
      dt.Columns.Add(New DataColumn("LName"))
      dt.Columns.Add(New DataColumn("Age", GetType(Integer)))
      dt.Columns.Add(New DataColumn("Job"))
      dt.Columns.Add(New DataColumn("Hobby"))
      dt.Columns.Add(New DataColumn("State"))
      
      Dim r As New Random()
      Dim i As Integer
      
      While i < nRows
         Dim dr As DataRow = dt.NewRow()
         dr(0) = i
         dr(1) = FNames(r.Next(FNames.Count))
         dr(2) = LNames(r.Next(LNames.Count))
         dr(3) = r.Next(40) + 20
         dr(4) = Jobs(r.Next(Jobs.Count))
         dr(5) = Hobbies(r.Next(Hobbies.Count))
         dr(6) = States(r.Next(States.Count))
         dt.Rows.Add(dr)
         i += 1
      End While
      
      Return dt
   End Function 'GetTable 
   
   Private Shared FNames As StringCollection
   Private Shared LNames As StringCollection
   Private Shared Hobbies As StringCollection
   Private Shared Jobs As StringCollection
   Private Shared States As StringCollection
   
   
   Private Shared Sub InitSomeDataChoices()
      FNames = New StringCollection()
      LNames = New StringCollection()
      Hobbies = New StringCollection()
      Jobs = New StringCollection()
      States = New StringCollection()
      
      FNames.AddRange(New String() {"John", "Joe", "Arun", "Sarah", "Bill", "Emma", "Elizabeth", "Jane", "George", "Thomas", "Herb"})
      LNames.AddRange(New String() {"Knightly", "Bingley", "Darcy", "Bennett", "Thompson", "Smith", "Pao", "Hurst", "Cain", "Jones"})
      Hobbies.AddRange(New String() {"Reading", "TV", "Golf", "Baseball", "Football", "Knitting", "Coding", "Driving", "Gardening", "Games", "Puzzles"})
      Jobs.AddRange(New String() {"Accountant", "Salesman", "Programmer", "Teacher", "Lawyer", "Welder", "Doctor", "Plumber", "Golfer", "Electrician", "HandyMan"})
      States.AddRange(New String() {"AL", "AR", "GA", "SC", "NE", "CA", "NC", "MO", "IL", "NY", "NJ"})
   End Sub 'InitSomeDataChoices
    
   
   
   Overloads Public Shared Function GetTable(nRows As Integer, nCols As Integer) As DataTable
      Dim dt As New DataTable("RandomTable")
        Dim i As Integer = 0
      
      While i < nCols
         dt.Columns.Add(New DataColumn(String.Format("Column{0}", i)))
         i += 1
      End While
      Dim r As New Random()
      Dim counts(nCols) As Integer

        i = 0
      
      While i < nRows
         Dim dr As DataRow = dt.NewRow()
            Dim j As Integer = 0
         
         While j < nCols
            If i = 0 Then
               counts(j) = r.Next(8) + 5
            End If
            If j = 0 Then
               dr(j) = i.ToString()
            
            Else
               'dr[j] = string.Format("colVal{0}", i % counts[j]);
               dr(j) = String.Format("col{1}Val{0}", r.Next(counts(j)), j)
            End If
            j += 1
         End While
         dt.Rows.Add(dr)
         i += 1
      End While
      
      Return dt
   End Function 'GetTable
End Class 'GroupData